using System;
using System.Collections.Generic;
using System.IO;
using System.Xml.Serialization;
using Xamarin.Forms;
using System.Diagnostics;

namespace TheGameExtreme.view
{
    public partial class HomePage : ContentPage
    {
        
        public HomePage()
        {
            InitializeComponent();
            NavigationPage.SetHasNavigationBar(this, false);
            /*string path = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.LocalApplicationData), "file.xml");
            XmlSerializer xs = new XmlSerializer(typeof(bool));
            FileStream fs = new FileStream(path, FileMode.Open);
            bool test = (bool)xs.Deserialize(fs);
            Debug.WriteLine(test);*/         
            
        }        
        private async void OpenGame(object sender, EventArgs args)
        {
            await Navigation.PushAsync(new GamePreparationPage());
        }

        private async void OpenMultiPlayerMode(object sender, EventArgs args)
        {
            await Navigation.PushAsync(new MultiPlayerMode());
        }

        private async void OpenSetting(object sender, EventArgs args)
        {            
            await Navigation.PushAsync(new Settings());            
        }

        private async void Rules_Clicked(object sender, EventArgs e)
        {
            await DisplayAlert("Règles", AppRessource.StrRules, "Fermer");
        }
        
        
    }
}
